import os
import glob


dir_path_start = "/gpfs/fs02/belle/users/pecker/felix/rdstar_data/prod_30thMarS2_"
test_file_name = "unchecked_chunk_{}_Y4S_ntuple.root"

delete_files = False

dirs = [d for d in glob.glob(dir_path_start + "*")]

print(dirs)

for d in dirs:
    dpb, dpe = d.rsplit("_", 1)
    s = dpb[-1]
    print(dpe, s)

    dp = d + f"/{dpe}_{s}/chunk_*"

    chunk_paths = glob.glob(dp)
    n_all_chunks = len(chunk_paths)
    n_del_chunks = 0

    for chunk_path in chunk_paths:
        chunk = chunk_path.rsplit("_", 1)[1]
        fp = chunk_path + "/" + test_file_name.format(chunk)

        if not os.path.isfile(fp):
            n_del_chunks += 1

            lf = os.path.join(chunk_path, f"chunk_{chunk}_log.log")
            ef = os.path.join(chunk_path, f"chunk_{chunk}_error.log")

            if os.path.isfile(lf):
                print(lf)
                if delete_files:
                    os.remove(lf)
            if os.path.isfile(ef):
                print(ef)
                if delete_files:
                    os.remove(ef)

    print(f"fixed {n_del_chunks} of {n_all_chunks} chunks for {dpe}_{s}.")
